#ifndef DEVICE_H
#define DEVICE_H

#include <QObject>
#include <QTimer>
#include <QtQml/qqmlregistration.h>

namespace WindowManager {
namespace Core {

    class Device : public QObject
    {
        Q_OBJECT
        Q_PROPERTY(QString ipAddress READ ipAddress NOTIFY ipAddressChanged)
        QML_ELEMENT

    public:
        explicit Device(QObject *parent = nullptr);

        QString ipAddress() const;

    signals:

        void ipAddressChanged(QString ipAddress);

    private:
        bool getIPAddress();

        QTimer *m_ipScanner;
        QString m_ipAddress;
    };

} // namespace Core
} // namespace WindowManager

#endif // DEVICE_H
